sub com_nolobe_interarchy_ssh_download {
	my ( $file, $position ) = @_;
	my $result;
	my ($dev,$ino,$mode,$nlink,$uid,$gid,$rdev,$size,
                   $atime,$mtime,$ctime,$blksize,$blocks)
                       = lstat( $file );
	if ( -d _ ) {
		result( err("File is Directory") );
	} elsif ( ( -f _ ) || ( -l _ ) ) {
		result( good( sprintf( "%d-%05o", $size || 0, $mode & 07777 ) ) );
		output( "U" );
		if ( open( IN, $file ) ) {
			binmode IN;
			if ( $position && !defined( sysseek( IN, $position, 0 ) ) ) {
				$result = err();
			} else {
				while ( 1 ) {
					my $data;
					my $len = sysread( IN, $data, 10240 );
					if ( $len ) {
						output( $data );
					} elsif ( !defined( $len ) ) {
						$result = err();
						last;
					} else {
						$result = good();
						last;
					}
				}
			}
			close( IN );
		} else {
			$result = err();
		}
		output( '' );
		result( $result );
	} else {
		result( err("Not a plain file") );
	}
}
