sub com_nolobe_interarchy_ssh_upload {
	my ( $file, $param ) = @_;
	my $result;
	my $open;
	if ( $param =~ m!^(\d+)-(\d*)$! ) {
		my $start = $1;
		my $perm = $2 ? oct($2) : undef;
		if ( $start ) {
			$open = open( OUT, ">>", $file );
			if ( $open ) {
				if ( !defined( sysseek( OUT, $start, 0 ) ) ) {
					close( OUT );
					undef $open;
				}
			}
		} else {
			$open = open( OUT, ">", $file );
		}
		if ( $open ) {
			binmode OUT;
			output( 'G' );
			while ( 1 ) {
				my $data;
				if ( full_sysread( \$data, 2 ) ) {
					$len = unpack( "n", $data );
				} else {
					$result = err();
					last;
				}
				if ( $len ) {
					if ( !full_sysread( \$data, $len ) || syswrite( OUT, $data ) != length( $data ) ) {
						$result = err();
						last;
					}
				} else {
					last;
				}
			}
			if ( !close( OUT ) ) {
				$result ||= err();
			}
			if ( !$result && $perm ) {
				chmod( $perm, $file );
			}
		} else {
			$result = err();
		}
	} else {
		$result = err('Invalid Parameter');
	}
	if ( $result ) {
		output( 'B' );
	} else {
		$result = good();
		output( 'F' );
	}
	result( $result );
}
